module SpreeOrderMessage
  module Spree
    module OrderDecorator
      def self.prepended(base)
        base.has_one :order_message, class_name: 'Spree::OrderMessage', dependent: :destroy
        base.accepts_nested_attributes_for :order_message
        base.insert_checkout_step :order_message, before: :address
      end
    end
  end
end

Spree::Order.prepend(SpreeOrderMessage::Spree::OrderDecorator) unless Spree::Order.included_modules.include?(SpreeOrderMessage::Spree::OrderDecorator)
